MessagingConsumer (consumer-service 1.9.2-3.5.0 API)
Date: 2014-11-12

org.gcube.messaging.common.consumer

## Class MessagingConsumer

- java.lang.Object
- - org.gcube.messaging.common.consumer.MessagingConsumer

-     public class MessagingConsumer
      extends Object

  Models the Consumer Monitor
  Author:
    Andrea Manzi(CERN)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MessagingConsumer.ReloadDurableSubscribers`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.gcube.common.core.utils.logging.GCUBELog` | `logger` The Logger

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagingConsumer()` Default Constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backupAccountingDB(org.gcube.common.core.types.VOID void1)` backupDB
    `void` | `backupMonitoringDB(org.gcube.common.core.types.VOID void1)` backupDB
    `String` | `queryAccountingDB(String query)` query the AccountingDB
    `String` | `queryMonitoringDB(String query)` query the MontoringDB
    `String` | `querySystemAccountingDB(String query)` query the SystemAccountingDB
    `org.gcube.common.core.types.VOID` | `sendReport(org.gcube.messaging.common.consumer.stubs.SendReport report)` Send a Report given the date

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static org.gcube.common.core.utils.logging.GCUBELog logger

      The Logger

  - ### Constructor Detail

    - #### MessagingConsumer

          public MessagingConsumer()

      Default Constructor

  - ### Method Detail

    - #### sendReport

          public org.gcube.common.core.types.VOID sendReport(org.gcube.messaging.common.consumer.stubs.SendReport report)
                                                      throws org.gcube.common.core.faults.GCUBEFault

      Send a Report given the date
      Parameters:
        `report` - The report Type defined in the wsdl
      Returns:
        VOID coid type
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

    - #### queryMonitoringDB

          public String queryMonitoringDB(String query)
                                   throws org.gcube.common.core.faults.GCUBEFault

      query the MontoringDB
      Parameters:
        `query` - a mysqlQuery
      Returns:
        json result
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

    - #### queryAccountingDB

          public String queryAccountingDB(String query)
                                   throws org.gcube.common.core.faults.GCUBEFault

      query the AccountingDB
      Parameters:
        `query` - a mysqlQuery
      Returns:
        json result
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

    - #### querySystemAccountingDB

          public String querySystemAccountingDB(String query)
                                         throws org.gcube.common.core.faults.GCUBEFault

      query the SystemAccountingDB
      Parameters:
        `query` - a mysqlQuery
      Returns:
        JSon result
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

    - #### backupMonitoringDB

          public void backupMonitoringDB(org.gcube.common.core.types.VOID void1)
                                  throws org.gcube.common.core.faults.GCUBEFault

      backupDB
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

    - #### backupAccountingDB

          public void backupAccountingDB(org.gcube.common.core.types.VOID void1)
                                  throws org.gcube.common.core.faults.GCUBEFault

      backupDB
      Throws:
        `org.gcube.common.core.faults.GCUBEFault` - base fault

Copyright © 2014. All Rights Reserved.